Skip to main content
POST
/
suno
/
v2
/
audio
/
crop
crop audio
curl --request POST \
  --url https://api.mountsea.ai/suno/v2/audio/crop \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clip_id": "<string>",
  "crop_start_s": 1,
  "crop_end_s": 1,
  "is_crop_remove": false,
  "ui_surface": "song_actions"
}
'
{
  "taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}
Crop an existing Suno clip. Poll Get Task Status until success.
Free (0 credits). The platform resolves the Suno account from clip_id — the clip must belong to the account used for the operation.

Parameters

FieldTypeRequiredDescription
clip_idstringYesClip to crop
crop_start_snumberYesStart time (seconds)
crop_end_snumberYesEnd time (seconds)
is_crop_removebooleanNofalse = keep selection (default); true = remove selection
ui_surfacestringNoUI source tag, default song_actions

Result

{
  "status": "complete",
  "action_clip_id": "48d4951a-...",
  "clip": {
    "id": "48d4951a-...",
    "audio_url": "https://cdn1.suno.ai/...",
    "title": "...",
    "status": "complete"
  }
}

Example

curl -X POST https://api.mountsea.ai/suno/v2/audio/crop \
  -H "Authorization: Bearer your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "clip_id": "5a3c023f-d1ed-4a85-b61e-168dde2b6659",
    "crop_start_s": 0,
    "crop_end_s": 30,
    "is_crop_remove": false
  }'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
clip_id
string
required

要裁剪的 clip_id(须与账号一致)

crop_start_s
number
required

裁剪起始秒

Required range: x >= 0
crop_end_s
number
required

裁剪结束秒

Required range: x >= 0
is_crop_remove
boolean
default:false

是否移除选区(false = 保留选区,true = 移除选区)

ui_surface
string

UI 来源标识

Example:

"song_actions"

Response

201 - application/json
taskId
string
required

task id. Use this id to query task status.

Example:

"15c257ff-43f7-4678-bd41-202ad6b8488b"